<?php

namespace ProxiumWXfrm\Proxium;

use ProxiumWXfrm\Http\Response;
use ProxiumWXfrm\Services\Webservices;


class PeticionWS extends PeticionWSBase {

    public function __construct($urlLlamada,$parametrosLlamada,$soap_to_rest=false,$urlServicioCache=NULL){

        global $configProxy;

        $url='';

        if($urlServicioCache) $url=$urlServicioCache.$urlLlamada;
        else if($soap_to_rest) $url=$configProxy['ws_url_SOAP_to_REST'].$urlLlamada;
        else $url=$configProxy['ws_url'].$urlLlamada;

        $usuario=$configProxy['ws_usuario'];
        $clave=$configProxy['ws_clave'];

        parent::setUrl($url);
        parent::setData($parametrosLlamada);
        parent::setCredenciales($usuario,$clave);

    }

    public function lanzaGet() {

        $respuesta_curl = parent::lanzaGet();

        $respuesta=json_decode($respuesta_curl);

        return $respuesta;

    }

    public function lanzaPostRaw($codificaJson=true) {

        $cabeceras=array();
        $cabeceras[]="Content-Type: text/plain";
        $cabeceras[]="Content-length: ".strlen($this->data);
        $cabeceras[]="Accept: *\/*";
        $cabeceras[]="Accept-Encoding: identity";
        $cabeceras[]="Connection: keep-alive";

        parent::setCabeceras($cabeceras);

        $respuesta_curl = parent::lanzaPost();

        //$respuesta=json_decode($respuesta_curl);

        $respuesta=$respuesta_curl;

        return $respuesta;

    }


}

?>